apiVersion: v1
kind: Pod
metadata:
  name: "{{ include "iseng.fullname" . }}-test-connection"
  labels:
    {{- include "iseng.labels" . | nindent 4 }}
  annotations:
    "helm.sh/hook": test
    "helm.sh/hook-delete-policy": hook-succeeded
spec:
  containers:
    - name: wget
      image: busybox
      command: ['sh', '-c']
      args:
        - |
          wget '{{ include "iseng.fullname" . }}:{{ .Values.service.port }}'
          sleep 10
      # command: ['wget']
      # args: ['{{ include "iseng.fullname" . }}:{{ .Values.service.port }}']
  restartPolicy: Never
